org.apache.hc.client5.http.impl.io

## Class ManagedHttpClientConnectionFactory.Builder

- java.lang.Object
- - org.apache.hc.client5.http.impl.io.ManagedHttpClientConnectionFactory.Builder

- Enclosing class:
    ManagedHttpClientConnectionFactory

      public static final class ManagedHttpClientConnectionFactory.Builder
      extends Object

  Builder for `ManagedHttpClientConnectionFactory`.
  Since:
    5.1

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ManagedHttpClientConnectionFactory` | `build()`
    `ManagedHttpClientConnectionFactory.Builder` | `charCodingConfig(org.apache.hc.core5.http.config.CharCodingConfig charCodingConfig)`
    `ManagedHttpClientConnectionFactory.Builder` | `http1Config(org.apache.hc.core5.http.config.Http1Config http1Config)`
    `ManagedHttpClientConnectionFactory.Builder` | `incomingContentLengthStrategy(org.apache.hc.core5.http.ContentLengthStrategy incomingContentLengthStrategy)`
    `ManagedHttpClientConnectionFactory.Builder` | `outgoingContentLengthStrategy(org.apache.hc.core5.http.ContentLengthStrategy outgoingContentLengthStrategy)`
    `ManagedHttpClientConnectionFactory.Builder` | `requestWriterFactory(org.apache.hc.core5.http.io.HttpMessageWriterFactory<org.apache.hc.core5.http.ClassicHttpRequest> requestWriterFactory)`
    `ManagedHttpClientConnectionFactory.Builder` | `responseOutOfOrderStrategy(org.apache.hc.core5.http.io.ResponseOutOfOrderStrategy responseOutOfOrderStrategy)`
    `ManagedHttpClientConnectionFactory.Builder` | `responseParserFactory(org.apache.hc.core5.http.io.HttpMessageParserFactory<org.apache.hc.core5.http.ClassicHttpResponse> responseParserFactory)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### http1Config

          public ManagedHttpClientConnectionFactory.Builder http1Config(org.apache.hc.core5.http.config.Http1Config http1Config)

    - #### charCodingConfig

          public ManagedHttpClientConnectionFactory.Builder charCodingConfig(org.apache.hc.core5.http.config.CharCodingConfig charCodingConfig)

    - #### incomingContentLengthStrategy

          public ManagedHttpClientConnectionFactory.Builder incomingContentLengthStrategy(org.apache.hc.core5.http.ContentLengthStrategy incomingContentLengthStrategy)

    - #### outgoingContentLengthStrategy

          public ManagedHttpClientConnectionFactory.Builder outgoingContentLengthStrategy(org.apache.hc.core5.http.ContentLengthStrategy outgoingContentLengthStrategy)

    - #### responseOutOfOrderStrategy

          public ManagedHttpClientConnectionFactory.Builder responseOutOfOrderStrategy(org.apache.hc.core5.http.io.ResponseOutOfOrderStrategy responseOutOfOrderStrategy)

    - #### requestWriterFactory

          public ManagedHttpClientConnectionFactory.Builder requestWriterFactory(org.apache.hc.core5.http.io.HttpMessageWriterFactory<org.apache.hc.core5.http.ClassicHttpRequest> requestWriterFactory)

    - #### responseParserFactory

          public ManagedHttpClientConnectionFactory.Builder responseParserFactory(org.apache.hc.core5.http.io.HttpMessageParserFactory<org.apache.hc.core5.http.ClassicHttpResponse> responseParserFactory)

    - #### build

          public ManagedHttpClientConnectionFactory build()

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.